﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace OWANotifier
{
    public class Message
    {
        public string From { get; set; }
        public string Subject { get; set; }
        public string Importance { get; set; }
        public DateTime Received { get; set; }
        public string Size { get; set; }
        public bool HasAttachments { get; set; }
        public bool Unread { get; set; }
        public string Url { get; set; }

        public bool HasUrl
        {
            get
            {
                return !string.IsNullOrEmpty(Url);
            }
            set
            {
                Url = null;
            }
        }
    }
}
